Name:           hatch
Version:        0.20.0
Release:        1%{?dist}
Summary:        A modern project, package, and virtual env manager

License:        MIT or ASL 2.0
URL:            https://github.com/ofek/hatch
Source0:        https://files.pythonhosted.org/packages/source/h/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-adduserpath
BuildRequires:  python3-appdirs
BuildRequires:  python3-atomicwrites
BuildRequires:  python3-click
BuildRequires:  python3-coverage
BuildRequires:  python3-pip
BuildRequires:  python3-parse
BuildRequires:  python3-pexpect
BuildRequires:  python3-pytest
BuildRequires:  python3-requests
BuildRequires:  python3-semver
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-toml
BuildRequires:  python3-twine
BuildRequires:  python3-tqdm
BuildRequires:  python3-virtualenv
BuildRequires:  python3-wheel

Requires:  git-core
Requires:  python3-adduserpath
Requires:  python3-appdirs
Requires:  python3-atomicwrites
Requires:  python3-click
Requires:  python3-coverage
Requires:  python3-colorama
Requires:  python3-pip
Requires:  python3-parse
Requires:  python3-pexpect
Requires:  python3-pytest
Requires:  python3-requests
Requires:  python3-semver
Requires:  python3-setuptools
Requires:  python3-six
Requires:  python3-toml
Requires:  python3-twine
Requires:  python3-tqdm
Requires:  python3-virtualenv
Requires:  python3-wheel

%{?python_provide:%python_provide python3-%{name}}

%description
Hatch is a productivity tool designed to make your workflow easier and more \
efficient, while also reducing the number of other tools you need to know. \
It aims to make the 90% use cases as pleasant as possible.


%prep
%autosetup -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest -k "not test_download_file"
# Remove tests from sitelib
rm -r %{buildroot}%{python3_sitelib}/tests

%files
%license LICENSE-APACHE LICENSE-MIT
%doc README.rst
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info

%changelog
* Wed Nov 15 2017 Lumir Balhar <lbalhar@redhat.com> - 0.20.0-1
- New upstream version
- New dependencies python-adduserpath (module userpath) and python-toml
- One test skipped due to internet connection requirement

* Wed Sep 13 2017 Lumir Balhar <lbalhar@redhat.com> - 0.11.0-1
- Initial package.
